package com.qiyou.mb.android.ui;

import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

import com.qiyou.mb.android.Activity_qiyouBase;
import com.qiyou.mb.android.QiYouApplication;
import com.qiyou.mb.android.QiYouConstant;
import com.qiyou.mb.android.R;
import com.qiyou.mb.android.upgrade.UpdateManager;

public class About extends Activity_qiyouBase {
	public static final String TAG ="com.qiyou.About";
	public static final String dTAG ="com.qiyou";
	@Override
	protected void onCreate(Bundle savedInstanceState) { 
//		updateActionBar(false);
		super.onCreate(savedInstanceState); 
		app = (QiYouApplication) getApplication();
		setContentView(R.layout.readme);
		setVersion();
//		initialSpeech();
		
	}
	private void setVersion(){
		final Button updateBtn = (Button) findViewById(R.id.readme_btnUpdate);
		updateBtn.setOnClickListener( new OnClickListener()
		{
			@Override
			public void onClick(View v)
			{
				checkUpdate(false);
			}
		});
		TextView versionName =(TextView)findViewById(R.id.readme_version);
		versionName.setText(UpdateManager.getVersionName(app)+(QiYouConstant.DEVELOPER_MODE?":-D":"")); 
		
	}
	
	 //中文test
	 //中文测试
}
